Joomla! 3.6.1 is vrijgegeven

 

Joomla 3.6.1 is woensdag 3 augustus vrijgegeven. Het is een versie die een  aantal lage prioriteit-veiligheidsprobleem oplost in alle Joomla 3.x-versies. Het wordt dus sterk aangeraden om te updaten.

BELANGRIJK: LEES DE INFORMATIE OVER DEZE UPDATE NAAR JOOMLA 3.6.1 IN DIT ARTIKEL VOLLEDIG DOOR.

 

Wat zit er in 3.6.1?

 

Versie 3.6.1 lost ook een aantal gemelde problemen uit vorige versies op:

 

  • Het repareert een bug die optreedt bij backwards compatibility-storing in PHP 7.0.9
  • Reparatie voor taal-redirects die in de browsercache worden opgeslagen
  • Reparatie voor updates vanaf Joomla! 2.5.28
  • Reparatie voor de SQLAzure database driver
  • TinyMCE upgrade naar 4.4.0.

Deze versie is ontstaan dankzij het harde werk van 46 vrijwilligers die meer dan 500 code-regels hebben aangepakt en zo’n 150 gemelde problemen hebben opgepakt, wat samen heeft geresulteerd in versie 3.6.1. Bekijk  de volledige lijst met reparaties op GitHub voor meer details over wat er allemaal is aangepakt.

 

Gerepareerde veiligheidsproblemen:

 

Als er over versie 3.6.1 nieuwe problemen worden gemeld,  dan worden die verzameld op de Versie 3.6.1 FAQ op de Joomla-documentatiesite.

 

Het update-proces voor Joomla 3.6.1

 

Tijdens het uitbrengen van Joomla 3.6.1 is er een storing  ontstaan met een gerepareerd veiligheidsprobleem voor Joomla 3.6.1. Dit betreft een controle op het CSRF token in het nieuwe Joomla! Update component. Dit is ingebouwd als een extra veiligheidsreparatie  voor een Medium-niveau veiligheidsprobleem dat zit in 3.6.0 tot en met 2.5.4 (dus elke Joomla-versie met het update-component). Door deze fout wordt het CSRF-token nu niet goed gecontroleerd, omdat de oude versies het token niet genereren en de controle zo wordt overgeslagen.


Er is dus direct besloten om een noodmaatregel toe te passen:

 

Updaten vanaf Joomla! 2.5.x

 

Helaas was er een bug tijdens de update van Joomla! 2.5.x naar 3.6.0 – deze is gerepareerd in de versie 3.6.1 – omdat de migratie naar 3.6.0 niet meer werkt moet je eerst migreren naar Joomla 3.5.1 en daarna naar 3.6.0. Volg daarna de stappen hieronder die gelden voor iedereen met Joomla 3.6.0

 

Updaten van Joomla! 3.0.0-3.5.1

 

Update naar Joomla! 3.6.0 met behulp van het Joomla! Update component. Volg daarna de stappen hieronder die gelden voor iedereen met Joomla 3.6.0

 

Updaten vanaf  Joomla! 3.6.0

 

Update eerst het Joomla! Update Component met behulp van Extensies – Beheren - Updaten. Gebruik daarna het Joomla Update component om te updaten naar de meest recente versie van Joomla.
Voor iedereen die inmiddels al de update naar 3.6.1 vanaf 3.6.0 heeft uitgevoerd
Geen paniek voor iedereen die de update naar 3.6.1 al heeft uitgevoerd. Alle nieuwe 3.6.1-bestanden zijn op de juiste manier gewijzigd. Draai de database-reparatie in Extensiebeheer om een bestand te repareren dat is verwijderd.

 

Als je een update naar 3.6.1 hebt uitgevoerd vanuit een versie ouder dan 3.6.

 

Je bestanden zijn geupdate. Je moet deze update behandelen alsof je een handmatige update hebt gedaan door de bestanden uit te pakken en met ftp over te zetten over je bestaande site. Het wordt aangeraden om daarna de database te repareren om verouderde bestanden op te schonen en de database structuur bij te werken. Het kan zijn dat bepaalde wijzigingen nog handmatig doorgevoerd moeten worden.
Alle versies (2.5.4 tot 3.6.0) - Handmatige Upgrade
Alhoewel we dit niet aanmoedigen, is het nog steeds mogelijk om Joomla handmatig te updaten (net zoals vroeger in 1.5). Gedetailleerde instructies vind je hier.

 

Geschreven door Wouter (WoodyF4u) op 04 augustus 2016

Verzenden naar FacebookVerzenden naar Google PlusVerzenden naar TwitterVerzenden naar LinkedIn